Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.grmm.examples
Class CrossTemplate1

    java.lang.Object
      cc.mallet.grmm.learning.ACRF.Template
          cc.mallet.grmm.learning.ACRF.SequenceTemplate
              cc.mallet.grmm.examples.CrossTemplate1

All Implemented Interfaces:
  java.io.Serializable

    public class CrossTemplate1

extends ACRF.SequenceTemplate

$Id: CrossTemplate1.java,v 1.1 2007/10/22 21:38:02 mccallum Exp $

See Also:
  Serialized Form

Field Summary

Fields inherited from class cc.mallet.grmm.learning.ACRF.Template
`index, weights`

Constructor Summary
`CrossTemplate1(int lvl1, int lvl2)`

Method Summary
`protected void` | `addInstantiatedCliques(ACRF.UnrolledGraph graph, FeatureVectorSequence fvs, LabelsAssignment lblseq)` Adds all instiated cliques for an instance.

Methods inherited from class cc.mallet.grmm.learning.ACRF.SequenceTemplate
`addInstantiatedCliques`

Methods inherited from class cc.mallet.grmm.learning.ACRF.Template
`addSomeUnsupportedWeights, computeAssignment, computeFactor, createFactorMatrix, getAssignmentsPresent, getDefaultWeight, getDefaultWeights, getWeights, initWeights, isSupportedOnly, isTrainable, isUnsupportedWeightsAdded, modifyPotential, setDefaultWeight, setDefaultWeights, setTrainable, setWeights`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CrossTemplate1

    public CrossTemplate1(int lvl1,
                          int lvl2)

Method Detail

### addInstantiatedCliques

    protected void addInstantiatedCliques(ACRF.UnrolledGraph graph,
                                          FeatureVectorSequence fvs,
                                          LabelsAssignment lblseq)

  Description copied from class: `ACRF.SequenceTemplate`
  Adds all instiated cliques for an instance. This method is called as a graph is being unrolled for an instance.

  Specified by:
    `addInstantiatedCliques` in class `ACRF.SequenceTemplate`
  Parameters:
    `graph` - The graph that the cliques will be added to.
    `fvs` - The input features of the instance to unroll the cliques for.
    `lblseq` - The label sequence of the instance being unrolled.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD